Package org.gradle.workers

## Interface ForkingWorkerSpec

- All Superinterfaces:
    `WorkerSpec`
  All Known Subinterfaces:
    `ProcessWorkerSpec`, `WorkerConfiguration`

      @Incubating
      public interface ForkingWorkerSpec
      extends WorkerSpec

  A worker spec providing the requirements of a forked process.
  Since:
    5.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `forkOptions​(Action<? super JavaForkOptions> forkOptionsAction)` | Executes the provided action against the `JavaForkOptions` object associated with this builder.
    `JavaForkOptions` | `getForkOptions()` | Returns the `JavaForkOptions` object associated with this builder.

- - ### Method Detail

    - #### forkOptions

          void forkOptions​(Action<? super JavaForkOptions> forkOptionsAction)

      Executes the provided action against the `JavaForkOptions` object associated with this builder.
      Parameters:
        `forkOptionsAction` - - An action to configure the `JavaForkOptions` for this builder

    - #### getForkOptions

          JavaForkOptions getForkOptions()

      Returns the `JavaForkOptions` object associated with this builder.
      Returns:
        the `JavaForkOptions` of this builder